> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Update categories



## OpenAPI

````yaml /openapi/plus.json put /v1/plus/manage/categories/{id}/
openapi: 3.0.3
info:
  title: Yume API — Plus
  version: 1.0.0
  description: Подключаемые продукты тарифа Plus.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/plus/manage/categories/{id}/:
    put:
      tags:
        - manage
      summary: Update categories
      operationId: manage_categories_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlusProductCategoryUpdate'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PlusProductCategoryUpdate'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PlusProductCategoryUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlusProductCategoryUpdate'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PlusProductCategoryUpdate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        icon:
          type: string
          format: uri
          nullable: true
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        outer_id:
          type: integer
          maximum: 9223372036854776000
          minimum: -9223372036854776000
          format: int64
          nullable: true
        parent:
          type: integer
          nullable: true
      required:
        - id
        - name
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````